## google-android-m2repository-installer 36

=== for-postinst/Makefile ===
PKG_NAME:=m2repository
PKG_VERSION:=36

PKG_SOURCE:=android_${PKG_NAME}_r${PKG_VERSION}.zip
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-m2repository-installer
UNPACK_DIR=$(DL_DIR)/m2repository
INSTALL_DIR=/usr/lib/android-sdk/extras/android
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	install -d -m0755 $(DOC_DIR)
	gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz
	install -m0644 $(UNPACK_DIR)/source.properties $(DOC_DIR)/
	install -d -m0755 $(INSTALL_DIR)
	mv $(UNPACK_DIR) $(INSTALL_DIR)/
	find ${INSTALL_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-m2repository-installer (36) unstable; urgency=medium

  * Update to revision 36
  * Add Czech PO translation file (Closes: #834122)
  * Add Dutch PO translation file (Closes: #834621)

 -- Mouaad Aallam <Mouaad@Aallam.com>  Sun, 14 Aug 2016 15:53:30 +0000

google-android-m2repository-installer (35+1) unstable; urgency=medium

  * Add Indonesian PO translation (Closes: #833393)
  * Add Portuguese PO translation (Closes: #833400 #833468)
  * Add German PO transalation (Closes: #833519)

 -- Mouaad Aallam <Mouaad@Aallam.com>  Tue, 09 Aug 2016 16:28:10 +0000

google-android-m2repository-installer (35) unstable; urgency=medium

  * Create download folder and download archive as nobody:nogroup
  * Add mirror choosing feature with debconf shared template
  * Minor Makefile update (Closes: #832413)
  * Update to revision 35

 -- Mouaad Aallam <Mouaad@Aallam.com>  Mon, 04 Jul 2016 20:40:07 +0000

google-android-m2repository-installer (33) unstable; urgency=low

  * Initial release (Closes: #828059)

 -- Mouaad Aallam <Mouaad@Aallam.com>  Thu, 23 Jun 2016 22:59:38 +0000

## google-android-m2repository-installer 41

=== debian/changelog ===
google-android-m2repository-installer (41) unstable; urgency=medium

  * New upstream version

 -- Mouaad Aallam <Mouaad@Aallam.com>  Thu, 22 Dec 2016 16:28:05 +0000

google-android-m2repository-installer (36+1) unstable; urgency=medium

  * Add French PO translation file (Closes: #835936) 

 -- Mouaad Aallam <Mouaad@Aallam.com>  Mon, 29 Aug 2016 15:14:23 +0000

=== debian/control ===
Source: google-android-m2repository-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://developer.android.com/topic/libraries/support-library/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-m2repository-installer.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-m2repository-installer.git

Package: google-android-m2repository-installer
Architecture: all
Depends: wget,
         make | build-essential | dpkg-dev,
         unzip,
         ca-certificates,
         debconf,
         po-debconf,
         ${misc:Depends}
Description: Google Android support m2 repository
 This package will download the Google Android Support Library repository and 
 create a Debian package. This is structured as a maven m2 repository of all the
 versions of the library.
 . 
 The Android Support Library offers a number of features that are not built into
 the framework. These libraries offer backward-compatible versions of new 
 features, provide useful UI elements that are not included in the framework,
 and provide a range of utilities that apps can draw on.
 .
 WARNING: Installing this Debian package causes android_m2repository_r35.zip to
 be downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

## google-android-m2repository-installer 41%2Br2

=== debian/control ===
Source: google-android-m2repository-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://developer.android.com/topic/libraries/support-library/index.html
Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-m2repository-installer.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-m2repository-installer

Package: google-android-m2repository-installer
Architecture: all
Depends: wget,
         make | build-essential | dpkg-dev,
         unzip,
         ca-certificates,
         debconf,
         po-debconf,
         ${misc:Depends}
Description: Google Android support m2 repository
 This package will download the Google Android Support Library repository and
 create a Debian package. This is structured as a maven m2 repository of all the
 versions of the library.
 .
 The Android Support Library offers a number of features that are not built into
 the framework. These libraries offer backward-compatible versions of new
 features, provide useful UI elements that are not included in the framework,
 and provide a range of utilities that apps can draw on.
 .
 WARNING: Installing this Debian package causes android_m2repository_r35.zip to
 be downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

## google-android-m2repository-installer 41+r1

=== debian/changelog ===
google-android-m2repository-installer (41+r1) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/po:
    - Add Swedish PO translation file (Closes: #851862)
    - Add Danish PO translation file (Closes: #856781, #856783)
    - Add Russian PO translation file (Closes: #883401)
  * Add debian/.gitlab-ci.yml

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 May 2020 18:34:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
+Build-Depends: debhelper (>=9)
+Standards-Version: 3.9.8
 Rules-Requires-Root: no
 Homepage: https://developer.android.com/topic/libraries/support-library/index.html
 Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-m2repository-installer.git

## google-android-m2repository-installer 41+r2

=== for-postinst/Makefile ===
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-${PKG_NAME}-installer
INSTALL_DIR=/usr/lib/${INS_DIR}
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	$(eval UNPACK_DIR=$(DL_DIR)/$(shell unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1))
	install -d -m0755 $(DOC_DIR)
	@if [ -f $(UNPACK_DIR)source.properties ]; then \
		install -m0644 $(UNPACK_DIR)source.properties $(DOC_DIR)/ ; \
        fi
	@if [ -f $(UNPACK_DIR)NOTICE.txt ]; then \
		gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz ; \
        fi
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	chmod -R a+rX $(UNPACK_DIR)
	chmod -R go-w $(UNPACK_DIR)
	install -d -m0755 $(INSTALL_DIR)
	@if [ ! -d $(INSTALL_DIR)$(TRG_DIR) ]; then \
		mv $(UNPACK_DIR) $(INSTALL_DIR)${TRG_DIR}  ;\
		find ${INSTALL_DIR}${TRG_DIR}  | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR)${TRG_DIR} already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-m2repository-installer (41+r2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to QA Group (See #1065612).
  * debian/compat: deleted.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Updated debhelper-compat to 13.
  * debian/copyright: improved.
  * debian/po/ca.po: updated (Closes: #1094900).
  * debian/po/es.po: updated (Closes: #987348).
  * debian/po/pt_BR.po: updated (Closes: #1025447).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 14 Mar 2025 16:22:30 -0300
